{% extends 'base.html.twig' %}

{% block title %}Proxy{% endblock %}

{% block body %}
    <h1>Proxy</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ proxy.id }}</td>
            </tr>
            <tr>
                <th>Host</th>
                <td>{{ proxy.host }}</td>
            </tr>
            <tr>
                <th>Port</th>
                <td>{{ proxy.port }}</td>
            </tr>
            <tr>
                <th>Login</th>
                <td>{{ proxy.login }}</td>
            </tr>
            <tr>
                <th>Password</th>
                <td>{{ proxy.password }}</td>
            </tr>
            <tr>
                <th>Country</th>
                <td>{{ proxy.country }}</td>
            </tr>
            <tr>
                <th>Is_alive</th>
                <td>{{ proxy.isAlive ? 'Yes' : 'No' }}</td>
            </tr>
            <tr>
                <th>CreatedAt</th>
                <td>{{ proxy.createdAt ? proxy.createdAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>UpdatedAt</th>
                <td>{{ proxy.updatedAt ? proxy.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app.proxy') }}">back to list</a>

    <a href="{{ path('app.proxy.edit', {'id': proxy.id}) }}">edit</a>

    {{ include('proxy/_delete_form.html.twig') }}
{% endblock %}
